%define	pkgname	libgda
%define api     5.0

%define dirver		5.0
%define oname		gda
%define	major		4
%define gi_major	5.0

%define libname		%mklibname %{oname} %{api} %{major}
%define libnamedev	%mklibname -d %{oname}%{api}
%define girname		%mklibname %{oname}-gir %{gi_major}
%define girname_ui	%mklibname %{oname}ui-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNU Data Access
Name: 		%{pkgname}%{api}
Version:	5.2.2
Release:	2
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
Url:		http://www.gnome-db.org/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
# Fix FTBFS with -Werror=format-security
Patch0:         0001-Markup-message-correction.patch
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-no-export-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	db-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(sqlite3) >= 3.6.11
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	intltool >= 0.35.5
BuildRequires:	gtk-doc
BuildRequires:	gnome-doc-utils >= 0.9.0
BuildRequires:	gobject-introspection-devel >= 0.6.5
BuildRequires:	itstool
Requires:	iso-codes

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the gda2.0-* packages.

%package -n %{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Requires:	%{name} >= %{version}
Requires:	%{name}-sqlite >= %{version}

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{libnamedev}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	gda%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}gda4.0-devel

%description -n	%{libnamedev}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{girname}
Summary:        GObject Introspection interface description for Gda
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	%{_lib}gda5.0_4 < 5.1.0

%description -n %{girname}
GObject Introspection interface description for Gda.

%package -n %{girname_ui}
Summary:        GObject Introspection interface description for Gdaui
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	%{_lib}gda5.0_4 < 5.1.0

%description -n %{girname_ui}
GObject Introspection interface description for Gdaui.

%package postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider

%package mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider

%package bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description bdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Berkeley Database provider.

%package sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name} = %{version}

%description sqlite
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).

It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA sqlite provider

%prep
%setup -q -n %{pkgname}-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-introspection=yes \
	--enable-gda-gi \
	--enable-gdaui-gi \
	--enable-system-sqlite \
	--with-bdb=%{_prefix} \
	--with-bdb-libdir-name=%{_lib}
%make

%install
%makeinstall_std

# remove unneeded files
find %{buildroot} -name '*.la' -delete

%find_lang %{pkgname}-%{api} --with-gnome

%files -f %{pkgname}-%{api}.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/libgda-%{dirver}
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/sales_test.db
%config(noreplace) %{_sysconfdir}/libgda-%{dirver}/config
%{_datadir}/applications/gda-browser-%{api}.desktop
%{_datadir}/applications/gda-control-center-%{api}.desktop
%{_datadir}/pixmaps/gda*
%{_datadir}/icons/hicolor/*/apps/gda-control-center.*
%{_datadir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}
%dir %{_libdir}/libgda-%{dirver}/plugins
%dir %{_libdir}/libgda-%{dirver}/providers
%{_libdir}/libgda-%{dirver}/plugins/*.xml
%{_libdir}/libgda-%{dirver}/plugins/libgda-ui-plugins.so
%{_libdir}/libgda-%{dirver}/providers/libgda-web.so
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlcipher.so
%{_libdir}/libgda-%{dirver}/providers/libgda-ldap.so
%{_datadir}/help/*/gda-browser/*

%files -n %{libname}
%{_libdir}/libgda-%{api}.so.%{major}*
%{_libdir}/libgda-report-%{api}.so.%{major}*
%{_libdir}/libgda-ui-%{api}.so.%{major}*
%{_libdir}/libgda-xslt-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gda-%{gi_major}.typelib

%files -n %{girname_ui}
%{_libdir}/girepository-1.0/Gdaui-%{gi_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/libgda-%{dirver}/
%doc %{_datadir}/gtk-doc/html/gda-browser/
%{_libdir}/libgda-%{api}.so
%{_libdir}/libgda-report-%{api}.so
%{_libdir}/libgda-ui-%{api}.so
%{_libdir}/libgda-xslt-%{api}.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gda-%{api}.gir
%{_datadir}/gir-1.0/Gdaui-%{api}.gir

%files sqlite
%{_libdir}/libgda-%{dirver}/providers/libgda-sqlite.so

%files postgres
%{_libdir}/libgda-%{dirver}/providers/libgda-postgres.so

%files bdb
%{_libdir}/libgda-%{dirver}/providers/libgda-bdb.so

%files mysql
%{_libdir}/libgda-%{dirver}/providers/libgda-mysql.so


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 5.2.2-2
+ Revision: 9110293
- MassBuild#440: Increase release tag


